import { Board, IModeling } from "../../DatabaseServices/Entity/Board";
import { FaceDirection } from "../DrawDrilling/DrillType";
export interface ArcBoardOptions {
    arcLength: number;
    grooveSpacing: number;
    grooveWidth: number;
    retainedThickness: number;
    knifeRadius: number;
    grooveAddLength: number;
    grooveAddWidth: number;
    grooveAddDepth: number;
    arcExtension: number;
}
export declare const defultArcBoardOption: ArcBoardOptions;
/**
   * 解析圆弧板需要的走刀数据
   * @param br
   * @param angle 角度
   * @param dir 圆弧板见光面 见光面正面走刀颜色黄色,背面颜色红色
   * @param [onlyVert=false] 仅解析交点位置 (默认解析所有的槽)
   * @returns 返回需要增加的槽的数据
   */
export declare function ParseBoardArcFeed(br: Board, angle: number, dir: FaceDirection, arcBoardOptions: Map<number, ArcBoardOptions>, onlyVert?: boolean): IModeling[];
//# sourceMappingURL=ArcBoardFeeding.d.ts.map