import { Matrix4 } from "three";
import { CylinderHole } from "../../DatabaseServices/3DSolid/CylinderHole";
import { ExtrudeHole } from "../../DatabaseServices/3DSolid/ExtrudeHole";
import { Hole } from "../../DatabaseServices/3DSolid/Hole";
import { Board } from "../../DatabaseServices/Entity/Board";
export declare const SCALAR = 0.1;
export declare function CyHoleInBoard(cys: CylinderHole[], br: Board, ocs: Matrix4, checkAll?: boolean): boolean;
/**
 * 板的排钻 <上下左右>
 */
export interface IBoardRectHoleType {
    up: string;
    down: string;
    left: string;
    right: string;
}
/**分析上下左右排钻 */
export declare function ParseBoardRectHoleType(br: Board, outBrRectHoleType?: IBoardRectHoleType): IBoardRectHoleType;
export declare function ExtureHoleInBoard(holes: ExtrudeHole[], board: Board, ocs: Matrix4): boolean;
export declare function HoleInBoard(holes: Hole[], br: Board, ocs?: Matrix4): boolean;
/**上下左右排钻写入到板件的高级排钻中 */
export declare function SetBrHighHoleTypeFromRectHoleType(br: Board, brRectHoleType: IBoardRectHoleType): void;
//# sourceMappingURL=HoleUtils.d.ts.map