import { Vector2 } from "three";
export declare class OrderDataObject {
    ID: number;
    IsOffer: boolean;
    ParentID: number;
    Name: string;
    ObjectID: number;
    ObjectType: string;
    Model: string;
    Spec: string;
    Brand: string;
    Factory: string;
    Units: string;
    CostPrice: number;
    SalePrice: number;
    ModuleTypeName: string;
    ModuleName: string;
    ModuleID: number;
    RoomName: string;
    BoxName: string;
    Num: number;
    IsComposite: boolean;
    ModuleWidth: number;
    ModuleHeight: number;
    ModuleDepth: number;
    Remark: string;
    GroupKey: string;
    GroupData: object;
    Size: {
        L: number;
        W: number;
        H: number;
    };
    RemarkList: [string, string][];
    GoodsID: number;
}
export declare class ProcessGroupObject {
    type: string;
    projects: ProcessGroupProjObject[];
}
export declare class ProcessGroupProjObject {
    projName: string;
    brIds: number[];
    objIds: number[];
    boxSize: {
        width: number;
        height: number;
        depth: number;
    };
    groupID: number;
}
export interface AlignLineGroupObject {
    projName: string;
    groupId: string;
    objects: AlignLineBoardObject[];
}
export interface AlignLineBoardObject {
    brId: number;
    position: Vector2;
}
//# sourceMappingURL=CadObject.d.ts.map