import React, { Component } from 'react';
import { OrthographicCamera, Scene, WebGLRenderer } from 'three';
import { FontStyleRecord } from '../../DatabaseServices/FontStyle/FontsStyleRecord';
import { Text } from '../../DatabaseServices/Text/Text';
import "./FontStyleCSS.less";
import { FontStyleInfoOption } from './FontStyleInterface';
import { FontStyleStore } from './FontStyleStore';
export declare class FontStylePanel extends Component<{
    store: FontStyleStore;
}> {
    _CurrentStyleName: string;
    _CurrentDBStyleName: string;
    _Preview: React.RefObject<HTMLCanvasElement>;
    _PreviewScence: Scene;
    _Camera: OrthographicCamera;
    _Renderer: WebGLRenderer;
    _NameInput: React.RefObject<HTMLInputElement>;
    constructor(props: any);
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: any, prevState: any): Promise<void>;
    UpdateScene: () => Promise<void>;
    render(): JSX.Element;
    AddStyleRecord: () => Promise<void>;
    ApplyParams(fontStyleRecord: FontStyleRecord, option: FontStyleInfoOption): boolean;
    GetCurrentFontStyleRecordTexts(): Text[];
    SaveConfig: () => Promise<void>;
    SetToCurrent(): void;
    /**
     * 删除Database里的标注样式
     * @memberof FontStylePanel
     */
    Delete: () => Promise<void>;
    /**
    * @param {string} name 目标名称 app.Database.FontStyleTable.Symbols.get(name)
    * @param {FontStyleStore} store  赋值对象 store.m_Option
    * @memberof FontStylePanel
    */
    GetFontStyle: (name: string, store: FontStyleStore) => Promise<void>;
    SetFontStyleId(fontStyle: FontStyleRecord): void;
    Cancel: () => void;
}
//# sourceMappingURL=FontStylePanel.d.ts.map