export declare enum DirectoryId {
    None = "",
    FileDir = "1",//图片根目录
    MaterialDir = "2",//材质根目录
    ImgDir = "3",//图片根目录
    ToplineDir = "4",//材质根目录
    TemplateDir = "5",//模板根目录
    DrillingDir = "6",//排钻目录
    KnifePathDir = "7",//刀路目录
    Frame = "8",//图框目录
    CeilingContour = "9",//吊顶轮廓
    HistoryDit = "-1"
}
export declare enum RequestStatus {
    NoLogin = 88888,
    Ok = 0,
    NoPermission = 102,//没有经过授权,不能登录该账号
    DeleteWarn1 = 401,
    DeleteWarn2 = 402,
    NoBuy = 3298,//未购买cad包月服务错误码
    NoBuy1 = 3299,//包月服务未充值
    NoBuy2 = 3300,//包月服务未生效
    NoBuy3 = 3301,//包月服务已失效
    NoBuy4 = 3412,//未购买渲染包月服务
    None = -1,//未知错误
    OffLine = 44444,//踢下线
    NoToken = 6600,//酷家乐未授权
    CreateTempNoLogo = 802
}
export interface IResponseData {
    err_code: RequestStatus;
    err_msg: string;
    [key: string]: any;
}
export declare function PostJson<T = object>(url: string, body: Exclude<T, BodyInit>, isShowErrMsg?: boolean, retryOption?: {
    retry: boolean;
    msg: string;
}): Promise<IResponseData>;
export declare function Post(url: string, body?: BodyInit, isShowErrMsg?: boolean): Promise<IResponseData>;
export declare function uploadLogo(blob: Blob): Promise<string>;
//# sourceMappingURL=Request.d.ts.map