import { Vector3 } from "three";
import { ExtrudeHole } from "../DatabaseServices/3DSolid/ExtrudeHole";
import { Database } from "../DatabaseServices/Database";
import { Entity } from "../DatabaseServices/Entity/Entity";
import { Polyline } from "../DatabaseServices/Entity/Polyline";
import { PhysicalMaterialRecord } from "../DatabaseServices/PhysicalMaterialRecord";
import { TemplateParam } from "../DatabaseServices/Template/Param/TemplateParam";
import { TemplateRecord } from "../DatabaseServices/Template/TemplateRecord";
export declare function MaterialOut(material: PhysicalMaterialRecord): string;
export declare function MaterialIn(fileData: Object[]): PhysicalMaterialRecord;
export declare function TemplateOut(template: TemplateRecord, tempDb?: Database): Promise<string>;
export declare function TemplateIn(fileData: any[]): TemplateRecord;
export declare function TemplateParamsOut(params: TemplateParam[]): string;
export declare function TemplateParamsIn(paramsData: Object[][]): TemplateParam[];
/**反序列化材质并加入图纸*/
export declare function MaterialInAndAppendAppData(fileData: Object[], name?: string): PhysicalMaterialRecord;
export declare function deflate(data: string): string;
export declare function deflateBase64Async(data: string): Promise<string>;
export declare function dataURItoBlob(dataURI: string): Blob;
export declare function toplineFileIn(json: string): Polyline;
export declare function getPolylineSVG(en: Polyline): string;
/**
 * 获取当前图纸的缩略图(预览图)
 */
export declare function GetCurrentViewPreViewImage(restore?: boolean, isBase64?: boolean, zoomAll?: boolean): Blob | string;
export declare function ExtrudeDrillFileIn(data: any[]): ExtrudeHole;
export declare function GetEntitysLogo(ens: Entity[], isConceptual?: boolean, dir?: Vector3, isBase64?: boolean): Promise<string | Blob>;
export declare function GroupOut(ens: Entity[]): string;
export declare function GroupFileIn(fileData: Object[]): Entity[];
export declare function EntitysOut(ens: Entity[], callback?: (en: any) => void): string;
export declare function EntitysIn(datalist: any[]): Entity[];
//# sourceMappingURL=SerializeMaterial.d.ts.map