import { CADFiler } from './CADFiler';
import { CADObject } from './CADObject';
import { ObjectId } from './ObjectId';
export declare class ObjectCollection<T extends CADObject> extends CADObject {
    Objects: T[];
    SpecialOwner: ObjectId;
    Destroy(): void;
    /**
     * @param object
     * @param isCheckObjectCleanly 检查对象是否清白,如果对象不清白,那么将会被拒绝加入到集合.
     */
    Append(object: T, isCheckObjectCleanly?: boolean): ObjectId<T>;
    AppendEvent(obj: T): void;
    Remove(obj: T): void;
    RemoveIndex(index: number): T;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//# sourceMappingURL=ObjectCollection.d.ts.map