import { ISpaceParse } from "../../../Geometry/SpaceParse/ISpaceParse";
import { BoardProcessOption } from "../../../UI/Store/OptionInterface/BoardProcessOption";
import { BoardConfigOption, IGrooveOption } from "../../../UI/Store/OptionInterface/IOptionInterface";
import { CADFiler } from "../../CADFiler";
import { Board } from "../../Entity/Board";
import { ObjectId } from "../../ObjectId";
import { TemplateRecord } from "../TemplateRecord";
/**
 * 板件模板的基类.(层板,立板,背板)
 */
export declare class TemplateBoardRecord extends TemplateRecord {
    UseBoardProcessOption: boolean;
    BoardProcessOption: BoardProcessOption;
    DrawBoardCount: number;
    protected IntersectSpaceEntitys: Set<ObjectId>;
    protected IntersectHighDrill: string[];
    protected _option: BoardConfigOption;
    get Option(): BoardConfigOption;
    set Option(option: BoardConfigOption);
    set GrooveOption(option: IGrooveOption);
    protected GeneralBoardList(space: ISpaceParse): Promise<Board[]>;
    Purge(): void;
    protected Update(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateBoard.d.ts.map