import { Texture, Wrapping } from 'three';
import { CADFiler } from './CADFiler';
import { SymbolTableRecord } from './SymbolTableRecord';
export declare class TextureTableEventBus {
    private static _SingleInstance;
    static GetInstance(): TextureTableEventBus;
    UpdateEvent(texture: TextureTableRecord): void;
}
/**
 * 数据化的贴图类.实现了序列化.
 */
export declare class TextureTableRecord extends SymbolTableRecord {
    private wrapS;
    private wrapT;
    repeatX: number;
    repeatY: number;
    rotation: number;
    imageUrl: string;
    moveX: number;
    moveY: number;
    imgUrl: string;
    set WrapS(wrap: Wrapping);
    get WrapS(): Wrapping;
    get WrapT(): Wrapping;
    set WrapT(wrap: Wrapping);
    private texture;
    Update(): Promise<string>;
    TextureUpdate(): Promise<void>;
    private waits;
    WaitUpdate(): Promise<unknown>;
    GetThreeTexture(): Texture;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=Texture.d.ts.map