import { Intersection, Matrix4, Object3D, Vector3 } from 'three';
import { Entity } from '../DatabaseServices/Entity/Entity';
import { ObjectSnapMode } from './ObjectSnapMode';
import { SelectSet } from './SelectSet';
export declare enum PromptStatus {
    None = 0,//用户想选,但是没选到(手滑了 没点到)
    Cancel = -1,
    OK = 1,
    Keyword = 2,
    Other = 4,//用户不想选了,直接拍桌子要求上菜 GetEntity(右键 右键<确认> 空格)
    String = 8,
    Error = -2
}
export declare class PromptResult {
    Status: PromptStatus;
    StringResult?: string;
    isChild?: boolean;
    Parent?: string;
}
export declare class PromptPointResult extends PromptResult {
    SnapMode: ObjectSnapMode;
    SnapEntity: Entity;
    intersection: Intersection;
    private _point;
    /**
     * 返回三维点
     *
     * @readonly
     * @memberof PromptPointResult
     */
    get Point(): Vector3;
    set Point(pt: Vector3);
    constructor();
}
export declare class PromptDistendResult extends PromptResult {
    private _value;
    Point1Res: PromptPointResult;
    Point2Res: PromptPointResult;
    get Distance(): number;
    set Distance(v: number);
}
export declare class PromptRectResult extends PromptResult {
    UCS: Matrix4;
    Point1UCS: Vector3;
    Point2UCS: Vector3;
    Point1WCS: Vector3;
    Point2WCS: Vector3;
    Point1Res: PromptPointResult;
    Point2Res: PromptPointResult;
    SnapEntity: Entity;
    get Width(): number;
    get Height(): number;
}
export declare class PromptEntityResult extends PromptResult {
    Entity?: Entity;
    Point?: Vector3;
    Object?: Object3D;
    IsCircle?: boolean;
    constructor(Entity?: Entity, Point?: Vector3, Object?: Object3D, IsCircle?: boolean);
}
export declare class PromptSsgetResult extends PromptResult {
    SelectSet?: SelectSet;
}
//# sourceMappingURL=PromptResult.d.ts.map