import { BufferAttribute, BufferGeometry, ShapeGeometry, Vector3 } from "three";
export declare namespace BufferGeometryUtils {
    function CreateFromPts(pts: Vector3[]): BufferGeometry;
    /**
     * 更新BufferGeometry的顶点
     * @param geo
     * @param pts
     * @param ignoreBoxError 忽略更新点后盒子错误的问题
     * @returns 当成功时返回true,更新失败时返回false
     */
    function UpdatePts(geo: BufferGeometry, pts: Vector3[], ignoreBoxError?: boolean): boolean;
    /** 在标注箭头上使用（端点为一个箭头） */
    function ArrowGeometry(): ShapeGeometry;
    /** 在标注箭头上使用（端点为一个圆点） */
    function PointGeometry(): ShapeGeometry;
    /** 在标注箭头上使用（端点为一条斜线） */
    function LineGeometry(): ShapeGeometry;
    function MergeBufferGeometries(geometries: BufferGeometry[], useGroups?: boolean): BufferGeometry;
    function MergeBufferAttributes(attributes: BufferAttribute[]): BufferAttribute;
}
//# sourceMappingURL=BufferGeometryUtils.d.ts.map