import { Box3, Matrix4, Vector3 } from "three";
import { Board } from "../../DatabaseServices/Entity/Board";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Region } from "../../DatabaseServices/Entity/Region";
import { Segment1d } from "../../Editor/TranstrolControl/Segment1dUtil";
import { BoardFaceType } from "./BoardGetFace";
export interface BoardFaceParams {
    type: BoardFaceType;
    length: number;
    width: number;
    localBoard: Board;
    matrix4: Matrix4;
    region?: Region;
    isRect?: boolean;
    drillType?: string;
    polyLineOCS?: Matrix4;
    CurveBoardFaceRegionPolyline?: Polyline;
}
export declare class Face {
    type: BoardFaceType;
    Length: number;
    Width: number;
    private _Region;
    LocalBoard: Board;
    InterBoard: Board;
    isEqualType: boolean;
    OCS: Matrix4;
    IsRect: boolean;
    DrillType: string;
    FixedInterval: Segment1d[];
    Segment1D: Segment1d[];
    PolyLineOCS: Matrix4;
    CurveBoardFaceRegionPolyline: Polyline;
    constructor(parameters?: BoardFaceParams);
    get Region(): Region;
    get OCSInv(): Matrix4;
    get Normal(): Vector3;
    Intersect(f: Face): Face[];
    IsIntersect(f: Face, fuzz?: number, currentCoverBoxes?: Box3[]): {
        isInt: boolean;
        coverBoxesList?: Box3[];
    };
}
//# sourceMappingURL=Face.d.ts.map