import { Vector2 } from "./Vector2";
import { Point } from "./Point";
export declare class Box2 {
    min: Vector2;
    max: Vector2;
    constructor(min?: Vector2, max?: Vector2);
    get area(): number;
    set(min: Vector2, max: Vector2): Box2;
    setFromPoints(points: Iterable<Point>): Box2;
    private static _setFromCenterAndSize_v1;
    setFromCenterAndSize(center: Vector2, size: Vector2): Box2;
    clone(): Box2;
    copy(box: Box2): Box2;
    makeEmpty(): Box2;
    isEmpty(): boolean;
    getCenter(result?: Vector2): Vector2;
    getSize(result?: Vector2): Vector2;
    expandByPoint(point: Point): Box2;
    expandByVector(vector: Vector2): Box2;
    expandByScalar(scalar: number): Box2;
    containsPoint(point: Vector2): boolean;
    containsBox(box: Box2): boolean;
    getParameter(point: Vector2, result?: Vector2): Vector2;
    intersectsBox(box: Box2): boolean;
    clampPoint(point: Vector2, result?: Vector2): Vector2;
    private static _distanceToPoint_v1;
    distanceToPoint(point: Vector2): number;
    intersect(box: Box2): Box2;
    union(box: Box2): Box2;
    translate(offset: Point): Box2;
    equals(box: Box2): boolean;
}
//# sourceMappingURL=Box2.d.ts.map