import { Vector2, Vector3 } from "three";
import { Arc } from "../DatabaseServices/Entity/Arc";
import { Circle } from "../DatabaseServices/Entity/Circle";
import { Polyline } from "../DatabaseServices/Entity/Polyline";
/**轮廓(多段线Pts Bul)数据 */
export interface IContourData {
    pts: Vector2[];
    buls: number[];
}
/**
 * 转换成多段线点表(pts bul)
 * @param cu
 * @param [isOutline=true] 如果是外部轮廓,则返回逆时针点表
 * @returns pts buls
 */
export declare function ConverToPtsBul(cu: Polyline | Circle, isOutline?: boolean): IContourData;
export declare function ConverArcToPtsBul(arc: Arc, hasEnd?: boolean): {
    pts: Vector3[];
    buls: number[];
};
//# sourceMappingURL=Convert2PtsBul.d.ts.map