import { IObservableValue } from "mobx";
import * as React from 'react';
import { ArcBoardOptions } from "../../../Add-on/ArcBoard/ArcBoardFeeding";
import { FaceDirection } from "../../../Add-on/DrawDrilling/DrillType";
import { Board } from "../../../DatabaseServices/Entity/Board";
import { ExtrudeContour } from "../../../DatabaseServices/Entity/Extrude";
import { BoardProcessOption } from "../../Store/OptionInterface/BoardProcessOption";
import { BoardConfigOption, IGrooveOption, IUiOption } from "../../Store/OptionInterface/IOptionInterface";
interface BoardConfigProps {
    boardConfig: BoardConfigOption;
    boardProcess: BoardProcessOption;
    br: Board;
    canDrawSpeical: IObservableValue<boolean>;
    canModeling: IObservableValue<boolean>;
    canSideModeling: IObservableValue<boolean>;
    canCurve: IObservableValue<boolean>;
    grooveOption: IGrooveOption;
    uiBoardConfig: IUiOption<BoardConfigOption>;
    isRightToolbar?: boolean;
    arcBoardOptions: Map<number, ArcBoardOptions>;
    arcBoardConfig: {
        sweepVisibleFace: FaceDirection;
        sweepAngle: number;
        isDrawArcGroove: boolean;
    };
}
export declare class BoardConfigModal extends React.Component<BoardConfigProps, {}> {
    private pars;
    private groovePars;
    private processPars;
    private rotatePars;
    isCurveBoard: boolean;
    showCurveBoardOpt: IObservableValue<boolean>;
    constructor(props: any);
    componentWillUnmount(): void;
    render(): JSX.Element;
    /**
     *尺寸拾取
     */
    private getSizeValue;
    private PickUpModelingOutline;
    _RenderToasterMessage: (brCurve: ExtrudeContour) => JSX.Element;
    PickUpModelingOutline2: () => Promise<void>;
    ChangeModeling2: (brCurve: ExtrudeContour) => Promise<void>;
    PickUpModelingOutline3: () => Promise<void>;
    PickUpCurveOutline: () => Promise<void>;
    ApplyCurveToArcBoard: () => Promise<void>;
    private ChangeModeling;
    private getToplinesDetailPolyline;
    private AddModeling;
    private AddModeling2;
    private ChangeModeling3;
    private EditorSideModeling;
}
export {};
//# sourceMappingURL=BoardConfigModal.d.ts.map