import { IObservableArray, IObservableValue } from 'mobx';
import * as React from 'react';
import { Board } from '../../../DatabaseServices/Entity/Board';
import { BoardProcessOption } from "../../Store/OptionInterface/BoardProcessOption";
import { IHightDrillOption, IUiOption, TBBoardOption } from "../../Store/OptionInterface/IOptionInterface";
import "../Modal/ModalStyle/BoardProcessModal.less";
import { BoardModalType } from './BoardModalType';
interface BoardProcessProps {
    type?: BoardModalType;
    opt: BoardProcessOption;
    uiOpt?: IUiOption<BoardProcessOption>;
    isSpecial?: IObservableValue<boolean>;
    br?: Board;
    drillOption?: IHightDrillOption;
    topBottomOption?: TBBoardOption;
    otherBoardData?: {
        [key: string]: any;
    };
    isEdgeRemarks?: boolean;
    ProcessingGroupList?: IObservableArray<any>;
    inModal?: boolean;
}
export declare class BoardProcessModal extends React.Component<BoardProcessProps, {}> {
    private showShops;
    private showAlert;
    private tags;
    private container;
    private matPars;
    showHighEdgeProcessing: IObservableValue<boolean>;
    private editorEdgeSealing;
    private editorEdgeRemarks;
    private editorReservedEdge;
    private renderRoomCabinetName;
    private getOption;
    private selectGoods;
    private onProcessInputDbClick;
    private onAlertConfirm;
    private IsWineRackORLattice;
    getTags(): string[];
    private updateTags;
    private isSplit;
    private getOptions;
    private getBoardValue;
    UNSAFE_componentWillMount(): Promise<void>;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Readonly<BoardProcessProps>, prevState: Readonly<{}>, snapshot?: any): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=BoardProcessModal.d.ts.map