import { CameraType } from "../../../../GraphicsSystem/CameraUpdate";
export declare enum CameraView {
    orthographic = "\u6B63\u4EA4\u76F8\u673A",
    perspective = "\u900F\u89C6\u76F8\u673A"
}
export declare enum CameraMode {
    fly = "\u98DE\u884C",
    walk = "\u884C\u8D70"
}
export default class CameraSettingStore {
    /**
     * @description 锁定相机视角
     */
    isCameraRotateLock: boolean;
    /**
     * @description 相机高度
     */
    cameraAltitude: number;
    /**
     * @description 相机视角
     */
    cameraFov: number;
    /**
     * @description 相机类型
     */
    cameraType: CameraType;
    /**
     * @description 相机模式
     */
    cameraMode: CameraMode;
    /**
     * @description 行走速度
     */
    walkSpeed: number;
    /**
     * @description 近端面
     */
    near: number;
    private static _SingleInstance;
    static GetSingleInstance: () => CameraSettingStore;
    private constructor();
}
//# sourceMappingURL=CameraSettingStore.d.ts.map