import * as React from 'react';
import { CADFiler } from '../../../DatabaseServices/CADFiler';
import { Database } from '../../../DatabaseServices/Database';
import { Arc } from '../../../DatabaseServices/Entity/Arc';
import { Line } from '../../../DatabaseServices/Entity/Line';
import { Polyline } from '../../../DatabaseServices/Entity/Polyline';
import { HeadCeilingProfileMaterialStore } from '../../Store/HeadCeilingStore/HeadCeilingMaterialStore';
import { IDirectoryProps } from '../SourceManage/CommonPanel';
import './HeadCeiling.less';
/**
 * 吊顶轮廓管理界面
 */
export declare class HeadCeilingContourManage extends React.Component<{}> {
    constructor(props: any);
    _CanCreateCeilingContour: import("mobx").IObservableValue<boolean>;
    _CameraFiler: CADFiler;
    _BulkheadCeilingStore: HeadCeilingProfileMaterialStore;
    _CurrentHeadCeilingInfo: {
        id: string;
        name: string;
    };
    _CreateCeilingContour: (name: string, currentDir: IDirectoryProps, callback: Function) => Promise<void>;
    _SelectCeilingContour(): Promise<(Polyline | Line | Arc)[]>;
    _EditorCeilingContour: (curves: (Polyline | Line | Arc)[], name?: string, currentDir?: IDirectoryProps, database?: Database) => Promise<void>;
    _RenderToasterMessage: (name: string, currentDir: IDirectoryProps, database?: Database) => JSX.Element;
    _ExitEditor: () => Promise<void>;
    _AddCeilingContourToDb(name: string, currentDir: IDirectoryProps, database?: Database): Promise<void>;
    _RenameBulkheadCeiling: (name: string) => Promise<void>;
    _StartCreateHeadCeilingContour: () => void;
    _RenderNav: () => JSX.Element;
    _RenderMenuItems: () => JSX.Element;
    render(): JSX.Element;
}
//# sourceMappingURL=HeadCeilingContourManage.d.ts.map