import { Intent, IToastOptions } from "@blueprintjs/core";
import * as React from 'react';
import { Entity } from "../../DatabaseServices/Entity/Entity";
import { ISetItemOption } from "./Board/BoardCommon";
export declare const AppToaster: import("@blueprintjs/core").IToaster;
/**展示多行提示 */
export declare function ShowLinesToaster(strArr: string[], props: Partial<IToastOptions>, key?: string): void;
export declare function ToasterValueError(msg: string): void;
interface IToasterInputProps extends ISetItemOption {
    inputClassName?: string;
    onBlur?(e?: any, hasError?: boolean): any;
    onClick?(e?: any): any;
    onKeyDown?: (e?: any, errorMsg?: string) => void;
    callback?: Function;
    selectAll?: boolean;
    isHideErrorMsg?: boolean;
    inputTitle?: boolean;
}
/**
 * 参数option为属性对象
 */
export declare class ToasterInput extends React.Component<IToasterInputProps, {}> {
    private showData;
    errorMsg: string;
    private hideErrorMsg;
    static defaultProps: {
        isUpper: boolean;
    };
    getErrorMsg: (v: string) => void;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleClick: (e: any) => void;
    handleKeyDown: (e: any) => void;
    handleBlur: (e: any) => void;
    handleFocus: (e: React.FocusEvent<HTMLInputElement>) => void;
    UNSAFE_componentWillMount(): void;
    private DisposeMobxAutorun;
    componentDidMount(): void;
    componentWillUnmount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    render(): JSX.Element;
}
/**请使用 ToasterShowEntityMsg 来避免依赖*/
export declare function __AppToasterShowEntityMsg(option: {
    intent: Intent;
    msg: string;
    timeout: number;
    ent: Entity;
}): string;
export {};
//# sourceMappingURL=Toaster.d.ts.map