import { Entity } from "../../../../DatabaseServices/Entity/Entity";
import { ViewportEntity } from "../../../../DatabaseServices/ViewportEntity";
import type { ILayerNode } from "./State/Type";
/** 图层命令 */
export declare class LayerCMD {
    /** 创建图层 */
    static AppendLayer: () => void;
    /** 创建文件夹 */
    static AppendLayerFolder: () => void;
    /** 删除图层 */
    static RemoveLayer: (node: ILayerNode, moveWhere?: string) => void;
    /** 置为当前图层 */
    static SetCurrentLayer: (node: ILayerNode) => void;
    /** 修改实体所在的图层 */
    static PutEntitysInLayer: (ens: Entity[], node: ILayerNode) => void;
    /** 设置是否显示 */
    static UpdateShow: (node: ILayerNode) => void;
    /** 设置是否锁定 */
    static UpdateLock: (node: ILayerNode, isLock: boolean) => void;
    /** 设置是否视口冻结 */
    static UpdateViewPoint: (node: ILayerNode) => void;
    /** 设置颜色 */
    static UpdateColor: (node: ILayerNode, colorIndex: number) => void;
    /** 重命名图层 */
    static RenameLayer: (node: ILayerNode, name: string) => void;
    /** 移动图层 */
    static MoveLayer: (node: ILayerNode, moveWhere: string, isFolder: any) => void;
}
/** 选中图层中的实体 */
export declare const SelectLayerEntitys: (data: ILayerNode) => void;
/** 选中视口时更新图层状态 */
export declare const UpdateLayerByViewPoint: (viewPoint: ViewportEntity) => void;
/** 取消视口时更新图层状态 */
export declare const UpdateLayerByNoViewPoint: () => void;
//# sourceMappingURL=LayerCMD.d.ts.map