interface Item {
    id: string;
    name: string;
    logo: string;
}
/** 品牌库的状态 */
export declare const BrandStore: {
    /** 显示品牌列表还是模型列表 */
    type: string;
    /** 所有的品牌 */
    brands: Item[];
    /** 当前选中的品牌 */
    currentBrand: Item;
    /** 当前选中的类型 */
    currentType: Item;
    /** 所有的种类 */
    kinds: Item[];
    /** 当前选中的种类 */
    currentKind: Item;
    /** 所有的模型 */
    models: Item[];
    /** 模型列表是否显示加载中 */
    isLoad: boolean;
    /** 分页信息 */
    pages: {
        /** 当前页码 */
        currentPage: number;
        /** 总共页数 */
        totalPage: number;
        /** 每页数量 */
        pageCount: number;
    };
    /** 预览图片的地址 */
    imgUrl: string;
};
/** 强制更新视图 */
export declare const ForceUpdate: (data: any, setData: Function) => void;
export type BrandContext = [typeof BrandStore, Function];
export declare const BrandGlobalContext: import("react").Context<any>;
export {};
//# sourceMappingURL=BrandData.d.ts.map