/**
 *  icon和title对应表
 *
 * @export enum
 *
 */
export declare const ICON_CDN = "https://font.cfcad.cn/Icon/";
export declare enum IconEnum {
    Point = "Point.svg",
    Line = "Line.svg",
    Arc = "Arc.svg",
    Circle = "Circle.svg",
    PolyLine = "Polyline.svg",
    Rectangle = "Rectangle.svg",
    Ellipse = "Ellipse.svg",//椭圆
    Polygon = "polygon.svg",
    Text = "Text.svg",
    SpLine = "Spline.svg",
    Box = "Box.svg",
    Region = "Region.svg",
    Tangen = "Tangen.svg",
    Center = "Center.svg",
    ZYC = "ZYC.svg",
    DDB = "DDB.svg",
    CB = "CB.svg",
    BB = "BB.svg",
    LB = "LB.svg",
    DB = "DB.svg",
    Floor = "Floor.svg",
    Door = "Door.svg",
    YX = "YX.svg",
    YXLK = "YXLK.svg",
    ZXLK = "ZXLK.svg",
    WineRack = "WineRack.svg",
    SKT = "SKT.svg",
    DimALigned = "DimAligned.svg",
    DimLinear = "DimLinear.svg",
    DimArc = "DimArc.svg",
    DimAngle = "DimAngle.svg",
    DimContinued = "DimContinued.svg",
    Copy = "Copy.svg",
    CopyClip = "CopyClip.svg",
    PasteClip = "PasteClip.svg",
    Delete = "Delete.svg",
    Redo = "Redo.svg",
    Cancel = "Cancel.svg",//放弃
    Break = "Break.svg",
    Array = "Array.svg",
    Extend = "Extend.svg",
    Zoom = "Zoom.svg",
    Divide = "Divide.svg",
    Fillet = "Fillet.svg",
    Reverse = "Reverse.svg",
    Stretch = "Stretch.svg",
    GridStretch = "GridStretch.svg",
    Offset = "Offset.svg",
    Length = "Length.svg",
    Pedit = "Pedit.svg",
    Join = "Join.svg",
    FBX = "FBX.svg",
    Save = "Save.svg",
    Open = "Open.svg",
    Entsel = "Entsel.svg",
    Multisel = "Multisel.svg",
    Ball = "Ball.svg",
    SkyBox = "Skybox.svg",
    Cuboid = "Cuboid.svg",
    UCS = "UCS.svg",
    Cylinder = "Cylinder.svg",
    ObliqueCB = "ObliqueCB.svg",
    AdjustCB = "AdjustCB.svg",
    SpotLamp = "SpotLamp.svg",
    DownLamp = "DownLamp.svg",
    ParamPtLight = "ParamPtLight.svg",
    RectLight = "RectLight.svg",
    SunLight = "SunLight.svg",
    Camera = "Camera.svg",
    CSGunion = "CSGunion.svg",
    CSGintersect = "CSGintersect.svg",
    RegionIntersect = "RegionIntersect.svg",
    RegionUnion = "RegionUnion.svg",
    RegionSub = "RegionSub.svg",
    Sweep = "Sweep.svg",
    Explode = "Explode.svg",
    Move = "Move.svg",
    Rotate = "Rotate.svg",
    RotateRef = "RotateRef.svg",
    QG = "QG.svg",
    QG2 = "QG2.svg",
    QG4 = "QG4.svg",
    zJoin = "zJoin.svg",
    BoardFindModify = "BoardFindModify.svg",
    Drawer = "Drawer.svg",
    Mirror = "Mirror.svg",
    Drill = "Drill.svg",
    DrillConfig = "DrillConfig.svg",
    DeleteDrill = "DeleteDrill.svg",
    BottomView = "BottomView.svg",
    FrontView = "FrontView.svg",
    LeftView = "LeftView.svg",
    Retraction = "Retraction.svg",
    Swiso = "Swiso.svg",
    TopView = "TopView.svg",
    BackView = "BackView.svg",
    RightView = "RightView.svg",
    JoinBoard = "JoinBoard.svg",
    Diameter = "Diameter.svg",
    TopLine = "TopLine1.svg",
    ExplosionMap = "ExplosionMap.svg",
    Undo = "Undo.svg",
    WireframeView = "WireframeView.svg",
    SaveAs = "SaveAs.svg",
    ConceptView = "ConceptView.svg",
    ConceptualTransparent = "ConceptualTransparent.svg",
    New = "New.svg",
    AutoDim = "AutoDim.svg",
    Entity = "Entity.svg",
    ERPManage = "ERPManage.svg",
    ERPManage2 = "ERPManage2.svg",
    DXF = "DXF.svg",
    SaveToDxf = "SaveToDxf.svg",
    ModuleManage = "ModuleManage.svg",
    QuotePrice = "QuotePrice.svg",
    Reality = "Reality.svg",
    PhysicalFrame = "PhysicalFrame.svg",
    TemplateDesign = "TemplateDesign.svg",
    Wireframe = "Wireframe.svg",
    SplitOrder = "SplitOrder.svg",
    BBS = "BBS.svg",
    HideDrill = "HideDrill.svg",
    FastDim = "FastDim.svg",
    DelDim = "DelDim.svg",
    BatchModifyDrillAndSeal = "BatchModifyDrillAndSeal.svg",
    HistoryOptimize = "HistoryOptimize.svg",
    Lattice = "Lattice.svg",
    EditPolyLine = "EditPolyLine.svg",
    ClosestPoint = "ClosestPoint.svg",
    SouthWest = "SouthWest.svg",
    DrawAxis = "DrawAxis.svg",
    CircleWithCrossDottedLine = "CircleWithCrossDottedLine.svg",
    CommodityManage = "CommodityManage.svg",
    DAL = "DAL.svg",
    HoleModule = "HoleModule.svg",
    ExtrudeEntity = "StretchEntity.svg",
    ReviewTemplate = "ReviewTemplate.svg",
    SelectStretch = "SelectStretch.svg",
    DoubleSplitOrder = "DoubleSplitOrder.svg",
    BacthModifyActiveLayerBr = "BacthModifyActiveLayerBr.svg",
    ModifyHoleFace = "ModifyHoleFace.svg",
    CheckModel = "CheckModel.svg",
    ExportData = "ExportData.svg",
    Alignment = "Alignment.svg",
    CheckInterference = "CheckInterference.svg",
    ShareMaterial = "ShareMaterial.svg",
    ProcessGroup = "ProcessGroup.svg",
    AlignLineGroup = "AlignLineGroup.svg",
    TemplateReplace = "TemplateReplace.svg",
    CutSpace = "CutSpace.svg",
    Text2Curve = "Text2Curve.svg",
    Synchronizing = "Synchronizing.svg",
    Synchronous = "Synchronous.svg",
    Print = "Print.svg",
    SunnySideSealing = "SunnySideSealing.svg",
    Rec2Br = "Rec2Br.svg",
    ClearRelatedGroove = "ClearRelatedGroove.svg",
    ClearHistoryRecord = "ClearHistoryRecord.svg",
    Curve2Rec = "Curve2Rec.svg",
    DrawVSBox = "DrawVSBox.svg",
    Curve2VSBox = "Curve2VSBox.svg",
    ExportView = "ExportView2.svg",
    UpdateInfo = "ChangeBoardAttributeFromBoardName.svg",
    Revolve = "Revolve.svg",
    RestoreColor = "RestoreColor.svg",
    ChangeColorByMat = "ChangeColorByMat.svg",
    ChangeColorByRoomOrCabinet = "ChangeColorByRoomCabinet.svg",
    Cabrush = "Cabrush.svg",
    Convert2Polyline = "Convert2Polyline.svg",
    CheckHole = "CheckHoles.svg",
    Rect2Winerack = "Rect2Winerack.svg",
    Group = "GROUP.svg",
    UnGroup = "UPGROUP.svg",
    Mview = "MVIEW.svg",
    Mview4 = "MVIEW4.svg",
    Mview2 = "MVIEW2.svg",
    Mview3 = "MVIEW3.svg",
    ShowFrame = "SHOWFRAME.svg",
    OneKeyLayout = "ONEKEYLAYOUT.svg",
    OneKeyPrint = "ONEKEYPRINT.svg",
    CheckNoHoleBoard = "CHECKNOHOLEBOARD.svg",
    CheckDrawHole = "CHECKDRAWHOLE.svg",
    EditorBBS = "EDITORBBS.svg",
    R2b2 = "R2B2.svg",
    ShowHSPanel = "SHOWHIDESELECT.svg",
    ParseBoardName = "PARSEBOARDNAME.svg",
    Curve2Wall = "Curve2Wall.svg",
    Curve2Wall2 = "Curve2Wall2.svg",
    Curve2Wall3 = "Curve2Wall3.svg",
    DrawWall = "DrawWall.svg",
    DrawWallInside = "DWWS.svg",
    DrawRecWall = "RecWall.svg",
    RoomC2W = "RoomC2W.svg",
    DoorHole = "DoorHole.svg",
    RoomIHole = "RoomIHole.svg",
    RoomLHole = "RoomLHole.svg",
    RoomUHole = "RoomUHole.svg",
    DrawDoor = "DrawDoor.svg",
    DrawWindow = "DrawWindow.svg",
    DrawLWindow = "DrawLWindow.svg",
    DrawLPWindow = "DrawLPCWindow.svg",//转角飘窗
    DrawUWindow = "DrawUWindow.svg",
    DrawPWindow = "DrawPWindow.svg",
    DrawStraightWindow = "DrawStraightWindow.svg",//一字窗
    FrenchWindow = "FrenchWindow.svg",//落地窗
    CornerWindow = "CornerWindow.svg",//转角窗
    Gallery = "Gallery.svg",
    Freeze = "Freeze.svg",//冻结
    UnFreeze = "UnFreeze.svg",//解冻
    ShareView = "ShareView.svg",//分享图纸
    VSCustomNumber = "VSCustomNumber.svg",//自定义编号
    TextModifyTool = "TextModifyTool.svg",//文字替换
    SwitchServers = "SwitchServers.svg",//服务器
    ToggleViewFollow = "ToggleViewFollow.svg",//渲染器跟随视角
    UnToggleViewFollow = "UnToggleViewFollow.svg",//渲染器不跟随视角
    ToggleSyncData = "ToggleSyncData.svg",//渲染器同步
    UnToggleSyncData = "UnToggleSyncData.svg",//渲染器不同步
    VisibleInRender = "VisibleInRender.svg",//渲染器显示实体
    UnVisibleInRender = "UnVisibleInRender.svg",//渲染器隐藏实体
    TemplateCollection = "TemplateCollection.svg",//收藏
    CurBoardMtl = "curBoardMtl.svg",//当前默认板材质图标
    CurWallMtl = "curWallMtl.svg",//当前默认墙材质图标
    CurFloorMtl = "curFloorMtl.svg",//当前默认
    HeadCeilingContour = "HeadCeilingContour.svg",//吊顶轮廓管理
    HeadCeilingMaterialPanel = "HeadCeilingMaterialPanel.svg",//吊顶截面轮廓材质面板
    HeadCeilingInfoConfigPanel = "HeadCeilingInfoConfigPanel.svg",//吊顶轮廓面板
    ModifyGroovesKnife = "ModifyGroovesKnife.svg",//修改凹槽
    Model2Contour = "Model2Contour.svg",//二维刀路应用
    NailTemplate = "NailTemplate.svg",//层板钉模块
    IndependentDrillLock = "IndependentDrillLock.svg",//独立排钻锁
    IndependentDrillUnlock = "IndependentDrillUnlock.svg",//解除独立排钻锁
    AssociationDrillLock = "AssociationDrillLock.svg",//关联排钻锁
    AssociationDrillUnlock = "AssociationDrillUnlock.svg",//解除关联排钻锁
    AllDrillUnlock = "AllDrillUnlock.svg",//解除所有锁
    DrawGirder = "DrawGirder.svg",//画房梁
    BoardInfoDim = "BoardInfoDim.svg",//板件标注
    Modeling = "Modeling.svg",//一键建模
    TemplateGroup = "TemplateGroup.svg",//模块组合
    DrawArcBoard = "DrawArcBoard.svg",//画圆弧板
    OneClickInspection = "OneClickInspection.svg",//一键检查
    MatchProp = "MatchProp.svg",//特性匹配
    ChangeColorByLinesType = "ChangeColorByLinesType.svg",//根据纹路修改颜色
    ExportGLTF = "gltf.svg",//导出GLTF文件
    DimStyle = "DimStyle.svg",//标注样式
    FontStyle = "FontStyle.svg"
}
//# sourceMappingURL=IconEnum.d.ts.map