import { IConfigOption } from "../../Components/Board/UserConfigComponent";
import { IDoorConfigOption, IDoorInfo } from "../DoorInterface";
import { IUiOption } from "../OptionInterface/IOptionInterface";
import { DoorDrawerStore } from "./DoorDrawerStore";
export declare const openDirTitle: {};
export interface IHingeRule {
    count: number;
    up: number;
    down: number;
    startDist: number;
    endDist: number;
}
export declare class DoorStore extends DoorDrawerStore {
    title: string;
    m_Option: IDoorConfigOption;
    doorDrawersInfo: IDoorInfo[];
    byOpenDir: boolean;
    currentRule: IHingeRule;
    uiRule: IUiOption<IHingeRule>;
    rules: IHingeRule[];
    currentIndex: number;
    InitInfos(): void;
    /**
     * 改变开门类型
    */
    ChangeOpenDir(info: IDoorInfo): void;
    InitOption(): void;
    SaveConfig(): {
        option: IDoorConfigOption;
        doorsInfo: IDoorInfo[];
        other: IHingeRule[];
    };
    UpdateOption(cof: IConfigOption<IDoorConfigOption>): void;
    UpdateConfigVersion(cof: IConfigOption<IDoorConfigOption>): void;
    get UIRule(): IUiOption<IHingeRule>;
    AppendRule(): void;
    RemoveRule(): Promise<void>;
    CheckRule(ruleOption: IUiOption<IHingeRule>): string;
}
//# sourceMappingURL=DoorStore.d.ts.map