import { IResponseData } from "../../../Common/Request";
import { CADFiler } from "../../../DatabaseServices/CADFiler";
import { BulkheadCeiling, BulkheadCeiling_ContourType } from "../../../DatabaseServices/Room/Entity/Ceiling/BulkheadCeiling";
import { IConfigStore } from "../BoardStore";
import { BulkheadCeilingOption } from "../OptionInterface/BulkheadCeilingOption";
export declare const NONE_CONTOUR_ID = -1;
export interface BulkheadCeilingContourData {
    contourType: BulkheadCeiling_ContourType;
    contourId: number;
    color: number;
    deviation: number;
}
export declare class HeadCeilingInfoStore implements IConfigStore {
    configName: string;
    configsNames: string[];
    m_Option: BulkheadCeilingOption;
    InitOption(): void;
    InitModelingItems(): void;
    InitItemsForBulkheadCeiling(headCeilingEnt: BulkheadCeiling): Promise<void>;
    /**
     * 配置 吊顶轮廓编辑时呼出的UI的Items
     * 保留原有配置后增加
     * 初始空材质为NONE_CONTOUR_ID  过程标记0便于归类
     */
    InitEditorContourItems(extendData: BulkheadCeilingContourData[]): Promise<void>;
    SaveConfig(): any;
    UpdateOption(confData: any[] | any): void;
    ReadFile: (file: CADFiler) => void;
    WriteFile(file?: CADFiler): any[];
    private static _SingleInstance;
    static GetInstance(): HeadCeilingInfoStore;
}
export declare function GetCeilingContourDate(contour_id: string): Promise<IResponseData | undefined>;
//# sourceMappingURL=HeadCeilingInfoStore.d.ts.map