import { CADFiler } from "../../../DatabaseServices/CADFiler";
import { BulkheadCeilingShapeTemplateExtendData } from "../../../DatabaseServices/Room/Entity/Ceiling/BulkheadCeilingShapeExtendData";
import { IConfigStore } from "../BoardStore";
import { BulkheadCeilingProfileMaterialOption } from "../OptionInterface/BulkheadCeilingOption";
export declare const NONE_MATERIAL_ID = -1;
export interface ICeilingProfileMaterialItem {
    readonly color: number;
    example: {
        id: number;
        name: string;
        type: string;
    };
}
export declare class HeadCeilingProfileMaterialStore implements IConfigStore {
    configName: string;
    configsNames: string[];
    m_Option: BulkheadCeilingProfileMaterialOption;
    InitOption(): void;
    InitModelingItems(): void;
    /**
     * 配置 吊顶轮廓编辑时呼出的UI的Items
     * 保留原有配置后增加
     * 初始空材质为NONE_MATERIAL_ID  过程标记0便于归类
     */
    InitEditorMaterialItems(extendData: BulkheadCeilingShapeTemplateExtendData): Promise<void>;
    SaveConfig(): any;
    UpdateOption(confData: any[] | any): void;
    ReadFile: (file: CADFiler) => void;
    WriteFile(file?: CADFiler): any[];
    private static _SingleInstance;
    static GetInstance(): HeadCeilingProfileMaterialStore;
}
//# sourceMappingURL=HeadCeilingMaterialStore.d.ts.map