import { FaceDirection } from "../../../Add-on/DrawDrilling/DrillType";
import { EBoardKeyList } from "../../../Common/BoardKeyList";
import { ComposingType, LinesType } from "../../../DatabaseServices/Entity/BoardInterface";
import { ObjectId } from "../../../DatabaseServices/ObjectId";
import { IHighEdgeRemarkItem, IHighReservedEdgeItem, IHighSealedItem } from "./IHighSealedItem";
import { IBaseOption } from "./IOptionInterface";
export interface BoardProcessOption extends IBaseOption {
    [EBoardKeyList.RoomName]?: string;
    [EBoardKeyList.CabinetName]?: string;
    [EBoardKeyList.BrMat]?: string;
    [EBoardKeyList.Mat]?: string;
    [EBoardKeyList.Color]?: string;
    [EBoardKeyList.Lines]?: LinesType;
    [EBoardKeyList.ProcessGroup]?: ObjectId[];
    [EBoardKeyList.BigHole]?: FaceDirection;
    [EBoardKeyList.DrillType]?: string;
    [EBoardKeyList.ComposingFace]?: ComposingType;
    [EBoardKeyList.HighSealed]?: IHighSealedItem[];
    [EBoardKeyList.UpSealed]?: string;
    [EBoardKeyList.DownSealed]?: string;
    [EBoardKeyList.LeftSealed]?: string;
    [EBoardKeyList.RightSealed]?: string;
    [EBoardKeyList.SpliteHeight]?: string;
    [EBoardKeyList.SpliteWidth]?: string;
    [EBoardKeyList.SpliteThickness]?: string;
    highDrill?: string[];
    frontDrill: boolean;
    backDrill: boolean;
    remarks: [string, string][];
    useBoardProcessOption?: boolean;
    edgeRemarkUp?: string;
    edgeRemarkDown?: string;
    edgeRemarkLeft?: string;
    edgeRemarkRight?: string;
    highBoardEdgeRemark?: IHighEdgeRemarkItem[];
    reservedEdgeUp?: string;
    reservedEdgeDown?: string;
    reservedEdgeLeft?: string;
    reservedEdgeRight?: string;
    highReservedEdge?: IHighReservedEdgeItem[];
    sealColorUp?: string;
    sealColorDown?: string;
    sealColorLeft?: string;
    sealColorRight?: string;
    sealColorType?: string;
    goodMaterialId?: string;
}
//# sourceMappingURL=BoardProcessOption.d.ts.map