import { IBaseOption } from "./IOptionInterface";
export interface LightConfigOption extends IBaseOption {
    Intensity: number;
    lightColor: string;
    temperature: number;
    IndirectLightingIntensity: number;
    SpecularScale: number;
    CaseShadow: boolean;
}
export interface PointLightOption extends LightConfigOption {
    SourceRadius: number;
    SoftSourceRadius: number;
    SourceLength: number;
}
export interface SpotLightOption extends LightConfigOption {
    Angle: number;
    InnerConeAngle: number;
    SourceRadius: number;
    SoftSourceRadius: number;
    SourceLength: number;
    AttenuationRadius: number;
    ShowHelper: boolean;
}
export interface RectAreaLightOption extends LightConfigOption {
    Width: number;
    Height: number;
    BarnDoorAngle: number;
    BarnDoorLength: number;
    AttenuationRadius: number;
    ShowHelper: boolean;
}
//# sourceMappingURL=LightConfigOption.d.ts.map