import { Singleton } from "../../Common/Singleton";
import { IndexedDbStore } from "../../IndexedDb/IndexedDbStore";
import { BoardModalType } from "../Components/Board/BoardModalType";
import { IConfigOption } from "../Components/Board/UserConfigComponent";
import { IConfigStore } from "./BoardStore";
import { AnyObject } from "./OptionInterface/IOptionInterface";
interface ISaveOption {
    isInit?: boolean;
    isCheckName?: boolean;
    toaster?: boolean;
    isUploadUserConfigNames?: boolean;
}
export declare enum EZengZhiBaoId {
    D2ToD3 = "13",
    KJLIMport = "17",
    KJLExport = "20"
}
export declare class UserConfigStore extends Singleton {
    readConfigs: Set<string>;
    InitConfigs(configs: AnyObject, type: string): Promise<void>;
    InitDrillConfig(): Promise<void>;
    InitUpdateBoardInfoConfigs(): Promise<void>;
    InitWinerackConfig(): Promise<void>;
    InitUserConfig(): Promise<void>;
    InitBBSTabIndex(): Promise<void>;
    InitBBSModelStore(): Promise<void>;
    InitCommonPanelStore(): Promise<void>;
    InitDatalistStore(): Promise<void>;
    InitModelingStore(): Promise<void>;
    InitDoorRelatesInfoStore(): Promise<void>;
    InitAutoHoleFaceSettingStore(): Promise<void>;
    InitResourceStoreIcon(): Promise<void>;
    InitFeedConfigStore(): Promise<void>;
    private InitDoorWindowPanelStore;
    InitOneClickInspectionStore(): Promise<void>;
    private InitConfigListMap;
    /**处理用户登陆后的信息 */
    InitUserData(): Promise<void>;
    GetConfig(type: BoardModalType): Promise<IConfigOption | null>;
    private ChangeDrillRuleMap;
    GetAllConfigs(key: BoardModalType | string, isChangeRuleMap?: boolean): Promise<IConfigOption<AnyObject> | undefined>;
    SubAccountInitSaveConfig(type: BoardModalType, store: IConfigStore): Promise<void>;
    SaveConfig(type: BoardModalType, store: IConfigStore, option?: ISaveOption, tagName?: string): Promise<void>;
    UploadUserConfigNames(dbStore: IndexedDbStore): Promise<void>;
    DeleteConfig(type: BoardModalType, store: IConfigStore): Promise<void>;
    /**
    * 重命名配置,重命名前需要保证名称正确可用
    */
    ResetNameConfig(type: BoardModalType, store: IConfigStore, oldName: string, newName: string): Promise<void>;
    UpdateBoardOption: (k: string, type: BoardModalType, store: IConfigStore) => Promise<void>;
    private UpdateUserConfig;
    CacheAllConfigs(): Promise<void>;
    CheckCanUseRender(): Promise<void>;
    CheckZengZhiBao(arr: {
        pricing_class_id: string;
    }[]): Promise<void>;
    GetUserConfigNames(): Promise<void>;
    InitCustomCmd(): Promise<void>;
    OpenCacheFile(): Promise<void>;
    ClearUserData(): void;
}
export declare const userConfigStore: UserConfigStore;
export {};
//# sourceMappingURL=UserConfigStore.d.ts.map